class StorageAuthenticationInfo {
	String? authorization;
	String? fileToken;
	String? contentType;

	StorageAuthenticationInfo({
		this.authorization,
		this.fileToken,
		this.contentType,
	});

	factory StorageAuthenticationInfo.fromJson(Map<String, dynamic> map) {
		return StorageAuthenticationInfo( 
			authorization: map['Authorization'],
			fileToken: map['FileToken'],
			contentType: map['ContentType'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(authorization != null)
			map['Authorization'] = authorization;
		if(fileToken != null)
			map['FileToken'] = fileToken;
		if(contentType != null)
			map['ContentType'] = contentType;
		return map;
	}
}

enum UploadFileType {
	Unknown,
	EXE,
	APK,
	IPA,
	ZIP,
	DAT,
	RAR,
	PNG,
	ICON,
	BMP,
	JPEG,
	JPG,
	GIF,
	WEBP,
	TIFF,
	IMG,
	PDF,
	DOC,
	DOCX,
	XLS,
	XLSX,
	MP4,
	MSI,
	VID,
}



