import 'dart:core';

import 'package:fis_jsonrpc/client_base.dart';

class CheckSessionService extends JsonRpcClientBase {
  CheckSessionService(
    String host, {
    String serviceName = "ICheckSessionService",
    Map<String, String>? headers,
    int? timeout,
  }) : super(
          host,
          serviceName,
          headers: headers,
          timeout: timeout,
        );

  Future<bool> checkSessionIdAsync(String sessionId) async {
    var rpcRst = await call("CheckSessionIdAsync", sessionId);
    return rpcRst;
  }
}
