class FrontAuthorityGroupInfo {
	String? frontGroupCode;
	String? description;
	List<String>? adminCodes;
	List<String>? features;
	bool isShow;

	FrontAuthorityGroupInfo({
		this.frontGroupCode,
		this.description,
		this.adminCodes,
		this.features,
		this.isShow=false,
	});

	factory FrontAuthorityGroupInfo.fromJson(Map<String, dynamic> map) {
		return FrontAuthorityGroupInfo( 
			frontGroupCode: map['FrontGroupCode'],
			description: map['Description'],
			adminCodes: map['AdminCodes'].cast<String>().toList(),
			features: map['Features'].cast<String>().toList(),
			isShow: map['IsShow'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(frontGroupCode != null)
			map['FrontGroupCode'] = frontGroupCode;
		if(description != null)
			map['Description'] = description;
		if(adminCodes != null)
			map['AdminCodes'] = adminCodes;
		if(features != null)
			map['Features'] = features;
		map['IsShow'] = isShow;
		return map;
	}
}


